[REL] Historic F3-Eve Community Pack

Discussion in 'Third Party Content' started by DurgeDriven, Nov 26, 2015.

  1. Vanisch

    Vanisch Registered

    Joined:
    Oct 21, 2018
    Messages:
    130
    Likes Received:
    80
    Quick question: why is the mod file in version 3.0 displayed as Damage in the mod manager.
    The series is also not displayed in the game.
    But the skins etc. are installed and working.

    And .. what strikes me is that I hardly hear the engine, but I do hear the tire noise or the wind noise.
    Where can I adjust that so that I hear the engine more?

    Thanks for your help!
     
    Last edited: Jul 31, 2023
  2. 8Ball

    8Ball Registered

    Joined:
    May 5, 2022
    Messages:
    100
    Likes Received:
    51
    Damaged mod comes from another rfmod that has another version of Community mod I should think.
    I disabled Community Mod V2 DX11 and rfmod of V3 and V3.02 load fine in both all cars and series.
    With latest version I got the file naming changed so this won't happen again.
    This usually occurs when the file naming is not specific even though the file is different versions.
    This is why all rfcmp should be named with distinct version on the end.
    You will notice a lot of mods in rF2 don't have version numbers on them.
    When updates of these are installed they overwrite the original file and corrupt any rfmod using them.

    All cars and series
    ALLCARS.jpg SERIES.jpg


    I can hear engine okay now ?
     
    Vanisch likes this.
  3. 8Ball

    8Ball Registered

    Joined:
    May 5, 2022
    Messages:
    100
    Likes Received:
    51
    Examples.......

    RIGHT WRONG NAMING.jpg

    You can see what happens updates of packages with no version numbers will overwrite the old ones.
    When rF2 or mod manager start they analyze and work out it is not the right file for the old rfcmp so it comes up "Damaged Mod"
    Of course anyone that never makes rfmods will say " what's the problem ? " :) Fair point ;)
    Thing is rF2 is the only sim that you can actually run multi versions of the same mod side by side
    Even official content what a bonus, you can jump from one to the other quickly and test where in all other sims you don't have anyway of doing this, old versions are gone forever.
    You would think rF2 would get extra 10% for this one feature.

    So what I am saying is all mods should use it as intended to give full flexibility it offers.
     
    Vanisch likes this.
  4. Johnny Speed

    Johnny Speed Registered

    Joined:
    Aug 3, 2021
    Messages:
    127
    Likes Received:
    147
    As far as the sound: Settings> Sound> on the bottom left is "LEGACY SETTINGS" I have mine set at
    Sound effects volume 11%
    Engine Volume 100%
    Tire Volume 95%
    External volume ratio 63%

    Sounds great to me, and if I have to I adjust the volume of my external speakers with the volume knob on the speakers themselves.
     
    Vanisch likes this.
  5. Johnny Speed

    Johnny Speed Registered

    Joined:
    Aug 3, 2021
    Messages:
    127
    Likes Received:
    147
    Is anyone still making skins for these? I know it's been a few years...
     
  6. Johnny Speed

    Johnny Speed Registered

    Joined:
    Aug 3, 2021
    Messages:
    127
    Likes Received:
    147
    If any painters are bored..something with the old STP theme would be awesome. DD said to ask here..
    #29 (if it's available) uo_1524661477-428-12.jpg
    USA flag
    Johnny Speed as driver name
    any other sponser decals randomly placed lol fine with me..
    added a picture of the STP theme if it helps..
    please and thank you
    added another picture for the simple template idea 2015-R4-OultonPark-Widmer-04.jpg

    but blue and red and stuff...I know I am asking too much...but if anyone can do it...please? :):)
     
  7. 8Ball

    8Ball Registered

    Joined:
    May 5, 2022
    Messages:
    100
    Likes Received:
    51
    Author agreed to doing updates for new skins from time to time.
    Would love if anyone with wheel or other ideas could get involved.

    Need someone to do a new thread as Page 1 can't be edited to update driver list and changes.
     
  8. boxer

    boxer Registered

    Joined:
    Aug 22, 2012
    Messages:
    513
    Likes Received:
    184
    Sure I'll see what I can do... ?
     
    pkelly and Johnny Speed like this.
  9. Johnny Speed

    Johnny Speed Registered

    Joined:
    Aug 3, 2021
    Messages:
    127
    Likes Received:
    147
    Sweet! Thanks!
     
  10. Vanisch

    Vanisch Registered

    Joined:
    Oct 21, 2018
    Messages:
    130
    Likes Received:
    80
    Deleted all mods and package, installed the old skin pack 3.0, installed the mod file,
    Doesn't work Mod Damage!

    I give up... just can't pull it off.

    I'm trying to make my own modfile.

    But thanks for your help and effort
     
  11. 8Ball

    8Ball Registered

    Joined:
    May 5, 2022
    Messages:
    100
    Likes Received:
    51
    Check your installed/vehicles folder.
    There must be remnants of a package left behind.
    It is the only possible explanation as the package works with fresh rfcmp.

    Historic Community
    MatraSR4L
    etc.
     
  12. 8Ball

    8Ball Registered

    Joined:
    May 5, 2022
    Messages:
    100
    Likes Received:
    51
    Should look like below

    I said with the original mod there was a issue.
    I did have "Damaged Mod" myself the first rfcmp with V3.00 I made.
    I then got SR4L to change the file naming to include the version number on the end of the file.
    This fixed my issue but I only had issue because I had old Community mods and old SR4L mods installed.

    Anyone does a fresh install without either of those mods should have no issue in all cars or making a basic rfmod.
    Just to be clear you did download the new version right ?
    Historic Eve F3 Community Pack_V3.02.rfcmp

    Untitled 1.jpg
     
  13. Vanisch

    Vanisch Registered

    Joined:
    Oct 21, 2018
    Messages:
    130
    Likes Received:
    80
    I hope we're not talking past each other. In any case, thank you for your help.

    I have now installed the Community Pack 3.02.
    That works too. But the mod file from 3.0 doesn't work for me.

    I'm trying again now. I deleted all the old ones with Historic and only put the community pack 3.02 on it.
     
  14. 8Ball

    8Ball Registered

    Joined:
    May 5, 2022
    Messages:
    100
    Likes Received:
    51
    I have had issues myself last days arguing with people that tell me file naming will do nothing.
    Well sorry they are all wrong in certain circumstances it can have effect.

    All packages should have _vx.xx on the end which means that each filename is unique which means it can't overwrite anything right ?
    This will stop "damaged mod" for good I been telling people this for 10 years but it falls on deaf ears they know best.
    It is no use to people who make rfmods when they download say Formula70's with no version number on the file that workshop then overwrites the last version ( without telling you ) and before you can properly disable the old rfmods and old packages. You must retrace your steps. 1. uninstall the new mod 2. Uninstall the new package. 3. Uninstall and delete the old rfmod and package 4. make a new rfmod.

    Sheesh lol

    Not rocket science and I am so useless I could not pack a mod to save myself lol ;)
     
  15. Vanisch

    Vanisch Registered

    Joined:
    Oct 21, 2018
    Messages:
    130
    Likes Received:
    80
  16. Vanisch

    Vanisch Registered

    Joined:
    Oct 21, 2018
    Messages:
    130
    Likes Received:
    80
    So...The 3.02 pack is going so far. You see the modfile..doesn't want to. I create a new one myself. Should hopefully work. Had already tried it, but got a parsing error.

    Thanks so much for your help...
     
    Last edited: Aug 1, 2023
    8Ball likes this.
  17. 8Ball

    8Ball Registered

    Joined:
    May 5, 2022
    Messages:
    100
    Likes Received:
    51
    Look I am not having a go at people but I been battling this 10 years so I deserve a pass.

    P.S. what I think it is some think because 2 files show different version numbers in Mod Manager that Steam sees them as different files. it doesn't.
    It is all in the file naming, not what mod manager tells you in that little column ;)

    No ones fault, most people don't know this because they have never browsed
    D:\STEAM\steamapps\workshop\content\365960
    When you do you see a lot of package with no version numbers.

    Also lol
    Don't name packages and content in ALL CAPS
    All it does is throw the lists out by moving them to the head of the letter.
    BATHURST_2016_V3 v3.0 comes before BahrainIC_2022 v1.11 ...and so forth

    Another one is why do modders have to name the file one thing, the installed package another, then in the list it comes up as something different again. lol
    Why not have all 3 naming identical ?
    rF2 is hard enough better if people can find things where they should be.
     
    Emery and Vanisch like this.
  18. Vanisch

    Vanisch Registered

    Joined:
    Oct 21, 2018
    Messages:
    130
    Likes Received:
    80
    yes...thats fantastic...thanks
     
  19. DJCruicky

    DJCruicky Registered

    Joined:
    Jan 25, 2012
    Messages:
    1,587
    Likes Received:
    1,115
    Vanisch, can you post a screen shot of your Mod manager. You can find the program at in \rFactor 2\Bin64\ModMgr.exe
    This will give you more details of what could be the problem.

    What you are showing in your screen shot is a Server Mod, not the car mod it's self.
    Unfortunately your screen shot above you have cropped out the last number of the version number so I can not see what it says. If that says Version 3.00 or Version 3.01, then that is the problem. You are safe to delete it.
    upload_2023-8-2_14-18-13.png

    Out of curiosity where did you get this Server Mod from?, did you make it yourself or did you join a server some where that was running the old version?
     
    Last edited: Aug 2, 2023
  20. Vanisch

    Vanisch Registered

    Joined:
    Oct 21, 2018
    Messages:
    130
    Likes Received:
    80
    @DJCruicky

    first of all thanks for your help. I have to say that I didn't want to write anything more about it because I just don't know what I'm doing wrong. The mod file from Pack 3.0 cannot be installed for me.
    I have now uninstalled everything that could have something to do with EVE and have now downloaded this pack here. It is version 3.02.
    [​IMG]
    this package is now running fine so far and I can use all the vehicles without the rest of any other MOD from the EVE cars hanging in there.
    The correct version is also displayed in the ModManager.
    [​IMG]
    I started a session with 20 cars here as a test. All skins are displayed clean and there are no leftovers from old mods.
    [​IMG]
    Now I have copied the modfile from version 3.0 into the package directory and that's where the drama begins.
    [​IMG]

    The mod file cannot be installed in the constellation because he wants version 3.0.

    If I now uninstall the 3.02 package and install the 3.0 version package, it runs independently without a mod binding.
    but when I then want to install the modfile, I get a Damage error in red writing.

    I have now cleaned everything again and only pack file 3.02 is running.
    If I now try to create my own mod file with the ModManager, it works so far.
    [​IMG]
     
    Last edited: Aug 2, 2023

Share This Page